## sane-backends 1.0.24

=== debian/changelog ===
sane-backends (1.0.24-8+deb8u2) stable; urgency=medium

  * CVE-2017-6318:
    - New debian/patches/0500-CVE-2017-6318.patch
      + cherry-picked from upstream to fix memory corruption and
        information leakage (Closes: #854804).

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Wed, 19 Apr 2017 11:51:22 +0200

sane-backends (1.0.24-8+deb8u1) stable; urgency=medium

  * Cherry-picked systemd handling from unstable (Closes: #791961):
    - Rewrite debian/saned@.service to prevent errors by network scanning.
    - New debian/sane-utils.links:
      + Add a link from /dev/null to /lib/systemd/system/saned.service
        to prevent start via fallback script /etc/init.d/saned.
    - Add year 2016 to debian/copyright.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Wed, 27 Jan 2016 07:48:32 +0100

sane-backends (1.0.24-8) unstable; urgency=medium

  * New debian/patches/0100-usb3-corrections.patch:
    - Cherry-picked from upstream to address
      USB3/xhci problems (Closes: #738592).
  * debian/saned@.service:
    - Move Alias to section [Install] (Closes: #773371).

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sat, 27 Dec 2014 09:36:22 +0100

sane-backends (1.0.24-7) unstable; urgency=medium

  * debian/rules:
    - Split dh_installinit in two parts for systemd and SysV-style.
    - Install systemd files without dh to prevent
      side effects (Closes: #773320).
    - Override dh_systemd_enable to not enable saned.socked.
  * debian/sane-utils.lintian-overrides:
    - Override systemd-no-service-for-init-script.
  * debian/sane-utils.postrm:
    - Add purge for the manually installed files.
  * debian/sane-utils.README.Debian:
    - Add instructions for use with systemd.
  * debian/sane-utils.saned.default:
    - Add note for enabling under systemd.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Wed, 17 Dec 2014 09:18:47 +0100

sane-backends (1.0.24-6) unstable; urgency=medium

  * Revert changes from 1.0.24-5.
  * Rename sane-utils.saned.service to sane-utils.saned@.service to
    install it as template (Closes: #769196).
  * For test for newer versions of systemd:
    - New debian/patches/0500-systemd_configure.patch
      + Add part into configure.in to find systemd >=209
    - debian/control:
      + Add autoconf and libsystemd-dev to Built-Depends.
    - debian/rules:
      + Add autoconf before running configure to build the patched
        configure script.
    - Thanks to Michael Biebl <biebl@debian.org>.
  * Change sane-utils.saned@.service and sane-utils.saned.socket
    for running as template (Closes: #772955).
  * debian/sane-utils.postinst:
    - Add part to move the homedir from /home/saned to /var/lib/saned.
      (Closes: #665915)
  * New debian/sane-utils.lintian-overrides:
    - Override postrm-contains-additional-updaterc.d-calls.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sat, 13 Dec 2014 11:20:55 +0100

sane-backends (1.0.24-5) unstable; urgency=medium

  * debian/rules:
    - change saned.service to saned@.service to install it as
      template (Closes: #769196).

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Wed, 10 Dec 2014 11:50:44 +0100

sane-backends (1.0.24-4) unstable; urgency=medium

  * debian/rules:
    - Move the creation of /etc/sane.d/dll.d to libsane-common.
  * Move libsane.(postrm|preinst) to libsane-common.* to handle
    in the right package. (Closes: #766340)
  * Remose useless ( <  "1.0.19-25" ) from libsane-common.preinst.
  * debian/patches:
    - New typo.patch:
      + Correct typo in backend/gennesys.conf.in. (Closes: #743848)
        Thanks to Jakub Wilk <jwilk@debian.org>.
    - New hp3900.patch:
      + Set startup gamma to the standalone default. (Closes: #629470)
        Thanks to Peter Walser <pjw1965@gmail.com>.
    - New hp5370c.patch:
      + Improved recognizability.(LP: #1080787)
    - New out_of_bounds.patch:
      + Prevent some out-of-bounds.
  * debian/control:
    - Change Build-Depends from the transitional package libgphoto2-2-dev
      to libgphoto2-dev. (Closes: #736451)

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Mon, 27 Oct 2014 22:36:01 +0100

sane-backends (1.0.24-3) unstable; urgency=medium

  * debian/rules:
    - Revert moving of HTML documentation to previous method to fix FTBFS
      and simply delete duplicate HTML files afterwards. (Closes: #765339)

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Tue, 14 Oct 2014 14:25:25 +0200

sane-backends (1.0.24-2) unstable; urgency=medium

  * New Maintainer. (Closes: #764198)
  * debian/control:
    - Set myself as Maintainer.
    - Add missing Vcs-* fields.
    - Bump Standards-Version to 3.9.6 (no changes required).
    - Add dh-systemd to Build-Depends.
  * debian/copyright:
    - Rewrite into machine-readable format.
    - Add myself to the list of authors for debian/*.
  * debian/sane-utils.saned.init:
    - Replace avahi with avahi-daemon to make it systemd-
      compatible. (Closes: #731610)
    - Add fancy lsb output. (Closes: #676845)
      Thanks to Dirk Sandbrink <d.sandbrink@gmail.com>.
  * debian/libsane/README.Debian:
    - TROUBLESHOOTING section: Add handling of "HP ScanJet 3400 C
      type C7720A" on Device busy message. (Closes: #653857)
      Thanks to Joost van Baal-Ilić <joostvb-debian-bugs-20111231-2@mdcc.cx>.
  * debian/sane-utils.postinst:
    - Set the home directory to /var/lib/saned at adduser call.
      (Closes: #665915)
  * debian/rules:
    - libsane-common: Correct moving of HTML files to prevent
      duplicate files within the package.
    - Add systemd to dh commandline.
    - Manuelly install the systemd .socket file.
  * Add systemd support:
    - New file sane-utils.saned.system.
    - New file sane-utils.saned.socket.
  * Move /etc from libsane to libsane-common.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Tue, 14 Oct 2014 08:57:02 +0200

sane-backends (1.0.24-1.2) unstable; urgency=medium

  * Non-maintainer upload.

