=== debian/control ===
Source: sane-backends
Section: graphics
Priority: optional
Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
Standards-Version: 3.9.6
Build-Depends:
 autotools-dev,
 autoconf,
 chrpath,
 debhelper (>= 9),
 dh-systemd,
 gettext,
 libavahi-client-dev,
 libcam-dev [kfreebsd-any],
 libgphoto2-dev,
 libieee1284-3-dev [!hurd-i386],
 libjpeg-dev,
 libltdl3-dev,
 libsystemd-dev [linux-any],
 libtiff-dev,
 libusb-1.0-0-dev [!hurd-i386],
 libv4l-dev [linux-any],
 pkg-config,
 po-debconf,
 texlive,
 texlive-latex-extra,
 xutils-dev
Homepage: http://www.sane-project.org
Vcs-Git: git://anonscm.debian.org/collab-maint/sane-backends.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/sane-backends.git

Package: sane-utils
Architecture: any
Multi-Arch: foreign
Depends:
 adduser,
 update-inetd,
 ${misc:Depends},
 ${shlibs:Depends}
Suggests: avahi-daemon, unpaper
Replaces: libsane (<< 1.0.11-4)
Description: API library for scanners -- utilities
 SANE stands for "Scanner Access Now Easy" and is an application
 programming interface (API) that provides standardized access to any
 raster image scanner hardware (flatbed scanner, hand-held scanner,
 video- and still-cameras, frame-grabbers, etc.). The SANE standard is
 free and its discussion and development are open to everybody. The
 current source code is written to support several operating systems,
 including GNU/Linux, OS/2, Win32 and various Unices and is available
 under the GNU General Public License (commercial applications and
 backends are welcome, too, however).
 .
 This package includes the command line frontend scanimage, the saned
 server and the sane-find-scanner utility, along with their documentation.

Package: libsane-common
Section: libs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: libsane (<< 1.0.22-4~)
Description: API library for scanners -- documentation and support files
 SANE stands for "Scanner Access Now Easy" and is an application
 programming interface (API) that provides standardized access to any
 raster image scanner hardware (flatbed scanner, hand-held scanner,
 video- and still-cameras, frame-grabbers, etc.). The SANE standard is
 free and its discussion and development are open to everybody. The
 current source code is written to support several operating systems,
 including GNU/Linux, OS/2, Win32 and various Unices and is available
 under the GNU General Public License (commercial applications and
 backends are welcome, too, however).
 .
 This package includes documentation for libsane, such as the man pages
 and list of supported scanners, and support files (i18n data).

Package: libsane
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 acl [linux-any],
 adduser,
 libsane-common (= ${source:Version}),
 udev [linux-any] | makedev [linux-any],
 ${misc:Depends},
 ${shlibs:Depends}
Recommends: libsane-extras, sane-utils (>= ${binary:Version})
Suggests: avahi-daemon, hplip, hpoj
Replaces: libsane-extras (<< 1.0.18.14)
Description: API library for scanners
 SANE stands for "Scanner Access Now Easy" and is an application
 programming interface (API) that provides standardized access to any
 raster image scanner hardware (flatbed scanner, hand-held scanner,
 video- and still-cameras, frame-grabbers, etc.). The SANE standard is
 free and its discussion and development are open to everybody. The
 current source code is written to support several operating systems,
 including GNU/Linux, OS/2, Win32 and various Unices and is available
 under the GNU General Public License (commercial applications and
 backends are welcome, too, however).
 .
 This package includes the backends for many scanners. A libsane-extras
 package containing some not-yet-included backends is available separately.
 .
 Graphical frontends for sane are available in the packages sane and
 xsane. Command line frontend scanimage, saned and sane-find-scanner are
 available in the sane-utils package.

Package: libsane-dev
Section: libdevel
Architecture: any
Depends:
 libavahi-client-dev,
 libcam-dev [kfreebsd-any],
 libgphoto2-2-dev,
 libieee1284-3-dev [!hurd-i386],
 libjpeg-dev,
 libsane (= ${binary:Version}),
 libtiff-dev,
 libusb-1.0-0-dev [!hurd-i386],
 libv4l-dev [linux-any],
 pkg-config,
 ${misc:Depends}
Recommends: libsane-extras-dev
Replaces: libsane-extras-dev (<< 1.0.18.14)
Description: API development library for scanners [development files]
 SANE stands for "Scanner Access Now Easy" and is an application
 programming interface (API) that provides standardized access to any
 raster image scanner hardware (flatbed scanner, hand-held scanner,
 video- and still-cameras, frame-grabbers, etc.). The SANE standard is
 free and its discussion and development are open to everybody. The
 current source code is written to support several operating systems,
 including GNU/Linux, OS/2, Win32 and various Unices and is available
 under the GNU General Public License (commercial applications and
 backends are welcome, too, however).
 .
 This package contains the files needed to build your applications
 using SANE.

Package: libsane-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libsane (= ${binary:Version}), ${misc:Depends}
Recommends: libsane-extras-dbg
Replaces: libsane-extras-dbg (<< 1.0.18.14)
Description: API development library for scanners [debug symbols]
 SANE stands for "Scanner Access Now Easy" and is an application
 programming interface (API) that provides standardized access to any
 raster image scanner hardware (flatbed scanner, hand-held scanner,
 video- and still-cameras, frame-grabbers, etc.). The SANE standard is
 free and its discussion and development are open to everybody. The
 current source code is written to support several operating systems,
 including GNU/Linux, OS/2, Win32 and various Unices and is available
 under the GNU General Public License (commercial applications and
 backends are welcome, too, however).
 .
 This package contains the debugging symbols for the SANE backends.
