=== debian/watch ===
#
# watch file for sane-backends
#
version=3
https://alioth.debian.org/frs/?group_id=30186 .*/sane-backends-(.*).(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
