## sane-backends 1.0.25

=== debian/changelog ===
sane-backends (1.0.25-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Correct missing error handler in (generated) prerm script by dropping the
    "error" handler entirely; it was only printing a generic message anyway.
    (Closes: #862334)

 -- Chris Lamb <lamby@debian.org>  Sun, 21 May 2017 10:04:48 +0200

sane-backends (1.0.25-4) unstable; urgency=medium

  * CVE-2017-6318:
    - New debian/patches/0500-CVE-2017-6318.patch
      + cherry-picked from upstream to fix memory corruption and
        information leakage (Closes: #854804).

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Wed, 19 Apr 2017 12:07:38 +0200

sane-backends (1.0.25-3) unstable; urgency=medium

  * debian/rules:
    - Fix FTBFS when building with 'dpkg-buildpackage -A' (Closes: #806104):
      + Split file into *-arch and *-indep parts.
      + Move "empty dependency_libs in all .la files" to
        override_dh_makeshlibs-arch.
      + Move installing of doc files for libsane-dev to
        override_dh_installdocs-arch.
      + New debian/libsane-dev.dirs.
  * Drop package libsane-bin binary package (Closes: #820964):
    - Remove libsane-bin binary package section, remove it from
      reverse dependencies of other packages in debian/control.
    - Remove debian/libsane-bin.*.
    - New debian/NEWS.Debian.
  * debian/patches:
    - Refresh and fix new typos:
      + 0100-source_spelling.patch
      + 0605-man_typo.patch.
    - New 0135-saned-remotescanners.patch:
        + Add patch to allow saned to report network-attached
        devices (Closes: #821255).
        Thanks to Dhionel Díaz <ddiaz@cenditel.gob.ve>.
  * debian/watch:
    - Bump version to 4 (no changes required).
  * debian/control:
    - Bump Standards-Version to 3.9.8 (no changes required).
    - Change Vcs-Browser to secure URI.
    - Add lsb-base to Depends for sane-utils.
  * Add year 2016 for debian/* in debian/copyright.
  * debian/sane-utils.saned.init:
    - Fix handling of stop and restart actions (Closes: #829244).
      Thanks to Chris Lamb <lamby@debian.org>.
  * Remove unused lintian overrides.
  * Migrate to debhelper 10:
    - Change debian/compat to 10.
    - Bump minimum debhelper version in debian/control to >= 10.
    - Refresh debian/patches to add changes in Makefile.am:
      + 0005-libsane_deps.patch
      + 0010-unneeded_doc.patch
      + 0015-frontend_libs.patch
      + 0025-multiarch_manpages_libdir.patch
      + 0125-multiarch_dll_search_path.patch
    - Refresh debian/libsane.shlibs
    - Refresh debian/libsane.symbols

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sat, 10 Dec 2016 13:45:15 +0100

sane-backends (1.0.25-2) unstable; urgency=medium

  * Undelete, refresh and rename debian/patches/
    0125-multiarch_dll_search_path.patch (Closes: #804240).
  * debian/rules:
    - Remove "UPSTREAM_VERSION" and use "VERSION" instead.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sat, 07 Nov 2015 08:50:49 +0100

sane-backends (1.0.25-1) unstable; urgency=medium

  * New upstream release (Closes: #740256).
  * Refresh patches:
    - debian/patches/0005-mk_reproducible_results.patch
    - debian/patches/001-scanimage_manpage.patch
    - debian/patches/ppc64el.patch
    - debian/patches/unneeded_doc.patch
    - debian/patches/libsane_deps.patch
    - debian/patches/frontend_libs.patch
    - debian/patches/multiarch_manpages_libdir.patch
    - debian/patches/dll_backend_conf.patch
    - debian/patches/sane-desc.c_debian_mods.patch
  * Remove patches applied upstream:
    - debian/patches/0105-artec_missing_home_environment.patch
    - debian/patches/multiarch_dll_search_path.patch
    - debian/patches/fix-FTBFS-format-not-a-string-literal-error.patch
    - debian/patches/kodakaio.patch
    - debian/patches/saned.man.patch
    - debian/patches/man-page-spelling.patch
    - debian/patches/source-spelling.patch
    - debian/patches/hp5370c.patch
    - debian/patches/out_of_bounds.patch
    - debian/patches/0500-systemd_configure.patch
    - debian/patches/0100-usb3-corrections.patch
  * Remove obsolete lintian-overrides.
  * Rename and reorder patches.
  * New debian/patches/0100-source_spelling.patch:
    - Correct typo in backend/hp-scl.c
  * debian/libsane-common.postrm:
    - Move #DEBHELPER# token to the end of the script.
  * debian/libsane-common.preinst:
    - Use dpkg-maintscript-helper to remove obsolete configuration
      file /etc/sane.d/v4l.conf during upgrade (Closes: #803535).
  * debian/rules:
    - Remove parameter -c0 from dh_makeshlibs call.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Mon, 02 Nov 2015 09:04:17 +0100

sane-backends (1.0.24-14) unstable; urgency=medium

  * debian/TROUBLESHOOTING.Debian:
    - Add troubleshooting section for cases where the device file
      system does not support ACLs (Closes: #789593).
  * debian/control:
    - To prevent error messages on startup, disable snmp by
      removing libsnmp-dev from Build-Depends (Closes: #787567).
  * debian/sane-utils.lintian-overrides:
    - Add maintainer-script-should-not-use-adduser-system-without-home.
  * Architecture-dependent binaries (Closes: #786923):
    - debian/control:
      + New package libsane-bin:
        Move architecture-dependent binaries from libsane-dev to libsane-bin.
      + Remove useless build dependency "dh-exec (>=0.3)".
    - debian/rules:
      + Delete command to move sane-config to sane-config.${DEB_HOST_MULTIARCH}.
    - New debian/libsane-dev.preinst:
      + Remove /usr/bin/sane-config.*.
      + Remove symbolic link to /usr/bin/sane-config.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 30 Aug 2015 19:02:57 +0200

sane-backends (1.0.24-13) unstable; urgency=medium

  * debian/rules:
    - Move architecture-dependent file sane-config to
      sane-config.${DEB_HOST_MULTIARCH} (Closes: #786923).
  * debian/control:
    - Add "dh-exec (>=0.3)" to Build-Depends. dh-exec is required
      for the new file libsane-dev.links.
  * New debian/libsane-dev.links:

