=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Section: graphics
 Priority: optional
 Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends:
  autotools-dev,
  autoconf,
  chrpath,
- debhelper (>= 9),
+ debhelper (>= 10),
  dh-systemd,
  gettext,
  libavahi-client-dev,
  libcam-dev [kfreebsd-any],
+ libcups2-dev,
  libgphoto2-dev,
  libieee1284-3-dev [!hurd-i386],
  libjpeg-dev,
@@ -19,26 +20,26 @@
  libsystemd-dev [linux-any],
  libtiff-dev,
  libusb-1.0-0-dev [!hurd-i386],
- libv4l-dev [linux-any],
  pkg-config,
  po-debconf,
  texlive,
  texlive-latex-extra,
  xutils-dev
+Testsuite: autopkgtest
 Homepage: http://www.sane-project.org
 Vcs-Git: git://anonscm.debian.org/collab-maint/sane-backends.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/sane-backends.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/sane-backends.git
 
 Package: sane-utils
 Architecture: any
 Multi-Arch: foreign
 Depends:
  adduser,
+ lsb-base (>= 3.0-6),
  update-inetd,
  ${misc:Depends},
  ${shlibs:Depends}
 Suggests: avahi-daemon, unpaper
-Replaces: libsane (<< 1.0.11-4)
 Description: API library for scanners -- utilities
  SANE stands for "Scanner Access Now Easy" and is an application
  programming interface (API) that provides standardized access to any
@@ -57,8 +58,9 @@
 Section: libs
 Architecture: all
 Multi-Arch: foreign
+Pre-Depends:
+ dpkg (>= 1.15.7.2)
 Depends: ${misc:Depends}
-Replaces: libsane (<< 1.0.22-4~)
 Description: API library for scanners -- documentation and support files
  SANE stands for "Scanner Access Now Easy" and is an application
  programming interface (API) that provides standardized access to any
@@ -86,8 +88,7 @@
  ${misc:Depends},
  ${shlibs:Depends}
 Recommends: libsane-extras, sane-utils (>= ${binary:Version})
-Suggests: avahi-daemon, hplip, hpoj
-Replaces: libsane-extras (<< 1.0.18.14)
+Suggests: avahi-daemon, hplip
 Description: API library for scanners
  SANE stands for "Scanner Access Now Easy" and is an application
  programming interface (API) that provides standardized access to any
@@ -109,20 +110,11 @@
 Package: libsane-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends:
- libavahi-client-dev,
- libcam-dev [kfreebsd-any],
- libgphoto2-2-dev,
- libieee1284-3-dev [!hurd-i386],
- libjpeg-dev,
  libsane (= ${binary:Version}),
- libtiff-dev,
- libusb-1.0-0-dev [!hurd-i386],
- libv4l-dev [linux-any],
- pkg-config,
  ${misc:Depends}
 Recommends: libsane-extras-dev
-Replaces: libsane-extras-dev (<< 1.0.18.14)
 Description: API development library for scanners [development files]
  SANE stands for "Scanner Access Now Easy" and is an application
  programming interface (API) that provides standardized access to any
@@ -144,7 +136,6 @@
 Multi-Arch: same
 Depends: libsane (= ${binary:Version}), ${misc:Depends}
 Recommends: libsane-extras-dbg
-Replaces: libsane-extras-dbg (<< 1.0.18.14)
 Description: API development library for scanners [debug symbols]
  SANE stands for "Scanner Access Now Easy" and is an application
  programming interface (API) that provides standardized access to any
