=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,8 @@
 DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 DEB_HOST_ARCH       ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_ARCH_OS    ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+
+VERSION = $(shell head -n1 debian/changelog | sed -e 's/.*(//;s/-.*).*//;s/\+/\-/')
 
 ifeq ($(DEB_HOST_ARCH_OS),)
   DEB_HOST_ARCH_OS := $(subst -gnu,,$(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM))
@@ -39,16 +41,17 @@
 		--datadir=\$${prefix}/share \
 		--mandir=\$${prefix}/share/man \
 		--with-docdir=\$${prefix}/share/doc/libsane \
-		--with-snmp=no \
 		--disable-locking \
 		--enable-static \
 		--enable-pthread \
 		--with-gphoto2 \
 		--enable-translations \
 		--enable-avahi \
-		--enable-libusb_1_0
+		--enable-libusb_1_0 \
+		--enable-pnm-backend \
+		--without-v4l
 
-override_dh_auto_build:
+override_dh_auto_build-indep:
 	# generate POT file for translators
 	(cd po && make sane-backends.pot)
 	$(MAKE)
@@ -62,7 +65,7 @@
 	$(RM) debian/libsane.udev
 	dh_auto_clean
 
-override_dh_auto_install:
+override_dh_auto_install-arch:
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 	# remove /usr/lib/sane/libsane.so.1 (libtool side-effect ?)
 	$(RM) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/sane/libsane.so.1
@@ -73,11 +76,8 @@
 	ls debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/sane/*.so | sed -e \
 		"s#.*/lib\([^.]\+\)[.]so#usr/share/man/man5/\1.5#" | { while read mp; do \
 		test -e debian/tmp/$$mp && echo $$mp >> debian/libsane-common.install; done }
-	# Empty dependency_libs in all .la files
-	find debian/tmp/usr -name "*.la" -type f -exec sed -e "s,^dependency_libs=.*,dependency_libs=''," -i {} \;
-	
 
-override_dh_install:
+override_dh_install-arch:
 	dh_install
 	# Install HAL fdi file
 	mkdir -p $(CURDIR)/debian/libsane-common/usr/share/hal/fdi/preprobe/10osvendor
@@ -90,11 +90,14 @@
 	mkdir -p $(CURDIR)/debian//sane-utils/usr/share/man/man5/
 	cp $(CURDIR)/doc/sane-umax_pp.man $(CURDIR)/debian/sane-utils/usr/share/man/man5/umax_pp.5
 
-override_dh_installdocs:
+override_dh_installdocs-arch:
 	dh_installdocs
 	# move files that belong to libsane-dev
 	mv debian/tmp/usr/share/doc/libsane/sane.ps debian/libsane-dev/usr/share/doc/libsane-dev/
 	mv debian/tmp/usr/share/doc/libsane/backend-writing.txt debian/libsane-dev/usr/share/doc/libsane-dev/
+
+override_dh_installdocs-indep:
+	dh_installdocs
 	# Platform-specific documentation
 	# move the html files into html/
 	install -d debian/libsane-common/usr/share/doc/libsane/html
@@ -111,7 +114,7 @@
 	$(RM) $(CURDIR)/debian/libsane-common/usr/share/doc/libsane/*.html
 	$(RM) $(CURDIR)/debian/tmp/usr/share/doc/libsane/*.html
 
-override_dh_installudev:
+override_dh_installudev-arch:
 ifeq (linux,$(DEB_HOST_ARCH_OS))
 	# udev support
 	# Generate the udev rules file
@@ -124,18 +127,16 @@
 	chrpath -d debian/sane-utils/usr/bin/scanimage
 	chrpath -d debian/sane-utils/usr/bin/sane-find-scanner
 
-override_dh_installinit:
-	dh_installinit -psane-utils --name=saned --error-handler=saned_eh
+override_dh_installinit-arch:
+	dh_installinit -psane-utils --name=saned
 
-override_dh_systemd_enable:
+override_dh_systemd_enable-arch:
 	dh_systemd_enable --no-enable saned.socket
 
-override_dh_strip:
+override_dh_strip-arch:
 	dh_strip --dbg-package=libsane-dbg
 
-override_dh_builddeb:
-	dh_builddeb -- -Zxz
-
-override_dh_makeshlibs:
-	dpkg-gensymbols -plibsane
-	dh_makeshlibs
+override_dh_makeshlibs-arch:
+	dh_makeshlibs -- -v$(VERSION) -Pdebian/libsane -plibsane
+	# Empty dependency_libs in all .la files
+	find debian -name "*.la" -type f -exec sed -i "/dependency_libs/ s/'.*'/''/" -i {} \;
