## sane-backends 1.0.25+git20150528

=== debian/changelog ===
sane-backends (1.0.25+git20150528-1ubuntu2) wily; urgency=medium

  * Fix timing issues on USB3 or fast recent hardware.  Back-port from
    upstream.

 -- Michael Thayer <michael.thayer@oracle.com>  Wed, 16 Sep 2015 10:25:15 +0200

sane-backends (1.0.25+git20150528-1ubuntu1) wily; urgency=medium

  * Merge with Debian, remaining changes
    - Demote libsane-extras* from Recommends to Suggests, as long as this
      package is in universe.
    - Demote sane-utils from Recommends to Suggests. We do not want to have
      an init script for saned laying around, which is disabled by default
      anyway.
    - debian/sane-utils.saned.init: Don't call init script on shutdown, it's
      unnecessary.
    - disable_v4l.patch, fix_avahi_error_paths.patch: See patch headers.
    - Update patches which patch Makefile.in to also patch .am.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 10 Jul 2015 07:07:38 +0200

sane-backends (1.0.25+git20150528-1) experimental; urgency=medium

  * Build from daily snapshot sane-backends-git20150528.tar.gz.
  * Sync with sane-backends/1.0.24-13.
  * New debian/patches/0105-fuj-126a.patch:
    - Upstream patch to test brightness and threshold
      adjustment in the fujitsu backend.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Thu, 28 May 2015 07:43:42 +0200

sane-backends (1.0.25+git20150425-1) experimental; urgency=low

  * Build from daily snapshot sane-backends-git20150425.tar.gz.
  * Refresh patches:
    - debian/patches/dll_backend_conf.patch
    - debian/patches/libsane_deps.patch
    - debian/patches/multiarch_dll_search_path.patch
    - debian/patches/multiarch_manpages_libdir.patch
    - debian/patches/sane-desc.c_debian_mods.patch
  * New debian/TROUBLESHOOTING.debian:
    - Add part for "usbfs: interface 1 claimed by usblp while
      ‘scanimage’ sets config #1.
  * Add link to TROUBLESHOOTING.debian into debian/README.debian.
  * New debian/patches/001-scanimage_manpage.patch:
    - Add remark for parameter to manpage.
  * New debian/patches/0005-mk_reproducible_results.patch:
    - Make builds reproducible.
  * debian/control:
    - On package libsane-dev change Depends from libgphoto2-2-dev to
      libgphoto2-dev (auto-libgphoto2 transition).
    - On package libsane remove package hpoj from Suggests
    - Remove useless replaces because latest release in stable is 1.0.22-7:
      + sane-utils: libsane (<< 1.0.11-4)
      + libsane-common: libsane (<< 1.0.22-4~)
      + libsane: libsane-extras (<< 1.0.18.14)
      + libsane-dev: libsane-extras-dev (<< 1.0.18.14)
      + libsane-dbg: libsane-extras-dbg (<< 1.0.18.14)
    - Remove "libv4l-dev [linux-any]" from Build-Depends and Depends.
  * debian/rules:
    - Enable pnm backend for testing.
    - Remove override_dh_builddeb because compression xz is now standard.
    - Add configure parameter --without-vl4 to disable v4l backend:
      + The backend was written for the kernel 2.4 and v4l, now
        we are at kernel 3.16 and v4l2.
  * debian/saned@.service:
    - Remove Alias from [Install] Section.
  * sane-utils.[postinst|postrm]:
    - Replace fixed path with a POSIX-compliant shell function to check
      the existence of a command.
  * Add autopkgtests:
    - debian/control:
      + Add Testsuite: autopkgtest.
    - New debian/tests/control.
    - New debian/tests/start-net:
      + Test network interface activation with systemd.
  * Add symbols file:
    - debian/rules: Rewrite override_dh_makeshlibs.
  * Comment out "set -e" at debian/sane-utils.postrm
    to fix some minor errors during piuparts.
  * debian/saned@.service:
    - Change StandardInput=socket to StandardInput=null to enable
      working over network.
  * New debian/patches/0510-disable-html-tests.patch:
    - Disable some HTML tests because debian/patches/
      sane-desc.c_debian_mods.patch changes some links to
      the doc directory.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 26 Apr 2015 16:21:51 +0200

sane-backends (1.0.25+git20150102-1) experimental; urgency=medium

  * Build from daily snapshot sane-backends-git20150102.tar.gz.
  * Remove applied patches from debian/patches:
    - fix-FTBFS-format-not-a-string-literal-error.patch
    - kodakaio.patch
    - saned.man.patch
    - man-page-spelling.patch
    - source-spelling.patch
    - hp5370c.patch
    - out_of_bounds.patch
    - 0100-usb3-corrections.patch
  * Refresh patches:
    - sane-desc.c_debian_mods.patch
    - 0500-systemd_configure.patch
  * debian/rules:
    - Add line to extract the version from debian/changelog.
    - Add version string to dpkg-gensymbols.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Fri, 02 Jan 2015 10:28:45 +0100

sane-backends (1.0.24-11ubuntu2) wily; urgency=medium

  * No-change rebuild against libgphoto2-port12.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 26 May 2015 12:55:11 +0200

sane-backends (1.0.24-11ubuntu1) wily; urgency=low

  * Merge with Debian, remaining changes
    - Demote libsane-extras* from Recommends to Suggests, as long as this
      package is in universe.
    - Demote sane-utils from Recommends to Suggests. We do not want to have
      an init script for saned laying around, which is disabled by default
      anyway.
    - debian/sane-utils.saned.init: Don't call init script on shutdown, it's
      unnecessary.
    - disable_v4l.patch, fix_avahi_error_paths.patch: See patch headers.
    - Update patches which patch Makefile.in to also patch .am.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 19 May 2015 12:13:11 +0100

sane-backends (1.0.24-9) UNRELEASED; urgency=medium

  * Correct typo and add missing "-q" to line 33 of
    debian/sane-utils.postinst (Closes: #773826).
    - Thanks to "Nelson A. de Oliveira" <naoliv@debian.org>

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Fri, 02 Jan 2015 10:28:33 +0100

sane-backends (1.0.24-4ubuntu1) vivid; urgency=low

  * Merge with Debian, remaining changes
    - Demote libsane-extras* from Recommends to Suggests, as long as this

