=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: sane-backends
 Section: graphics
 Priority: optional
-Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
-Standards-Version: 3.9.8
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
+Standards-Version: 3.9.6
 Build-Depends:
  autotools-dev,
  autoconf,
  chrpath,
- debhelper (>= 10),
+ debhelper (>= 9),
+ dh-exec (>=0.3),
  dh-systemd,
  gettext,
  libavahi-client-dev,
@@ -17,6 +19,7 @@
  libieee1284-3-dev [!hurd-i386],
  libjpeg-dev,
  libltdl3-dev,
+ libsnmp-dev,
  libsystemd-dev [linux-any],
  libtiff-dev,
  libusb-1.0-0-dev [!hurd-i386],
@@ -28,14 +31,13 @@
 Testsuite: autopkgtest
 Homepage: http://www.sane-project.org
 Vcs-Git: git://anonscm.debian.org/collab-maint/sane-backends.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/sane-backends.git
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/sane-backends.git
 
 Package: sane-utils
 Architecture: any
 Multi-Arch: foreign
 Depends:
  adduser,
- lsb-base (>= 3.0-6),
  update-inetd,
  ${misc:Depends},
  ${shlibs:Depends}
@@ -87,8 +89,8 @@
  udev [linux-any] | makedev [linux-any],
  ${misc:Depends},
  ${shlibs:Depends}
-Recommends: libsane-extras, sane-utils (>= ${binary:Version})
-Suggests: avahi-daemon, hplip
+Recommends: 
+Suggests: avahi-daemon, hplip, libsane-extras, sane-utils (>= ${binary:Version})
 Description: API library for scanners
  SANE stands for "Scanner Access Now Easy" and is an application
  programming interface (API) that provides standardized access to any
@@ -110,11 +112,10 @@
 Package: libsane-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: same
 Depends:
  libsane (= ${binary:Version}),
  ${misc:Depends}
-Recommends: libsane-extras-dev
+Suggests: libsane-extras-dev
 Description: API development library for scanners [development files]
  SANE stands for "Scanner Access Now Easy" and is an application
  programming interface (API) that provides standardized access to any
@@ -135,7 +136,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libsane (= ${binary:Version}), ${misc:Depends}
-Recommends: libsane-extras-dbg
+Suggests: libsane-extras-dbg
 Description: API development library for scanners [debug symbols]
  SANE stands for "Scanner Access Now Easy" and is an application
  programming interface (API) that provides standardized access to any
