=== debian/watch ===
#
# watch file for sane-backends
#
version=3
#
# disabled in experimental
#
#https://alioth.debian.org/frs/?group_id=30186 .*/sane-backends-(.*).(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
