## sane-backends 1.0.25+git20150528-1ubuntu2.16.04.3+8.0trisquel1

=== debian/changelog ===
sane-backends (1.0.25+git20150528-1ubuntu2.16.04.3+8.0trisquel1) flidas-security; urgency=medium

  * Replace non-free snprintf #10713

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 25 Aug 2020 11:29:46 +0000

sane-backends (1.0.25+git20150528-1ubuntu2.16.04.3) xenial-security; urgency=medium

  * SECURITY UPDATE: memory disclosure via crafted SANE_NET_CONTROL_OPTION
    packet
    - debian/patches/CVE-2017-6318.patch: address memory corruption and
      information leakage in frontend/saned.c.
    - CVE-2017-6318
  * SECURITY UPDATE: out-of-bounds read in epsonds
    - debian/patches/CVE-2020-12862.patch: do not read beyond the end of
      the token in backend/epsonds-cmd.c.
    - CVE-2020-12862
  * SECURITY UPDATE: out-of-bounds read in epsonds
    - debian/patches/CVE-2020-12863.patch: read only up to seven hexdigits
      to determine payload size in backend/epsonds-cmd.c.
    - CVE-2020-12863
  * SECURITY UPDATE: heap buffer overflow in epsonds
    - debian/patches/CVE-2020-12865.patch: check for overflow when reading
      image data in backend/epsonds-cmd.c, backend/epsonds.c,
      backend/epsonds.h.
    - CVE-2020-12865
  * SECURITY UPDATE: NULL pointer dereference in epson2
    - debian/patches/CVE-2020-12867.patch: rewrite network I/O in
      backend/epson2_net.c, backend/epson2_net.h.
    - CVE-2020-12867

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 21 Aug 2020 11:15:11 -0400

sane-backends (1.0.25+git20150528-1ubuntu2.16.04.1) xenial; urgency=medium

  * control: add breaks/replaces between libsane and libsane-common to
    fix earlier packaging mistake. LP: #1564778

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Thu, 09 Feb 2017 17:30:55 +0800
